Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex StoreDoc
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • List
        • ListByFolder
        • Create
        • Delete
  • Monitoring metrics
  • Audit Trails events
  • Public materials
  • Release notes

In this article:

  • HTTP request
  • Path parameters
  • Body parameters
  • CronTab
  • Response
  • BackupRetentionPolicy
  • CronTab
  1. API reference
  2. REST
  3. BackupRetentionPolicy
  4. Create

Managed Service for MongoDB API, REST: BackupRetentionPolicy.Create

Written by
Yandex Cloud
Updated at June 1, 2026
  • HTTP request
  • Path parameters
  • Body parameters
  • CronTab
  • Response
  • BackupRetentionPolicy
  • CronTab

Add a new retention policy.

HTTP requestHTTP request

POST https://mdb.api.cloud.yandex.net/managed-mongodb/v1/clusters/{clusterId}/retention_policies

Path parametersPath parameters

Field

Description

clusterId

string

Required field. ID of the mongodb cluster.
To get the mongodb cluster ID use a ClusterService.List request.

The maximum string length in characters is 50.

Body parametersBody parameters

{
  "cron": {
    "dayOfMonth": "string",
    "month": "string",
    "dayOfWeek": "string"
  },
  "retainForDays": "string",
  "description": "string",
  "policyName": "string"
}

Field

Description

cron

CronTab

CronTab schedule.

retainForDays

string (int64)

Retention duration.

description

string

Policy description.

policyName

string

Required field. Required. Policy name.

CronTabCronTab

Message to describe a crontab schedule.

Field

Description

dayOfMonth

string

Day of month in cron format. Valid values: 1-31, , ranges (1-15), steps (/2, 1-15/3), lists (1,15,28).
Defaults to "*".

month

string

Month in cron format. Valid values: 1-12, , ranges (1-6), steps (/3), lists (1,6,12).
Defaults to "*".

dayOfWeek

string

Day of week in cron format. Valid values: 0-7 (0 and 7 both mean Sunday), , ranges (1-5), steps (0-6/2), lists (1,3,5).
Defaults to "
".

ResponseResponse

HTTP Code: 200 - OK

{
  "policy": {
    "policyId": "string",
    "clusterId": "string",
    "policyName": "string",
    "createdAt": "string",
    "cron": {
      "dayOfMonth": "string",
      "month": "string",
      "dayOfWeek": "string"
    },
    "retainForDays": "string",
    "description": "string"
  }
}

Field

Description

policy

BackupRetentionPolicy

Newly created BackupRetentionPolicy.

BackupRetentionPolicyBackupRetentionPolicy

Message to describe a retention policy for cluster backups.

Field

Description

policyId

string

Required field. Required. Policy ID.

clusterId

string

Required field. Cluster ID.

The maximum string length in characters is 50.

policyName

string

Required field. Required. Policy name.

createdAt

string (date-time)

Creation timestamp in RFC3339 text format.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

cron

CronTab

CronTab schedule.

retainForDays

string (int64)

Retention duration.

description

string

Human-readable description.

CronTabCronTab

Message to describe a crontab schedule.

Field

Description

dayOfMonth

string

Day of month in cron format. Valid values: 1-31, , ranges (1-15), steps (/2, 1-15/3), lists (1,15,28).
Defaults to "*".

month

string

Month in cron format. Valid values: 1-12, , ranges (1-6), steps (/3), lists (1,6,12).
Defaults to "*".

dayOfWeek

string

Day of week in cron format. Valid values: 0-7 (0 and 7 both mean Sunday), , ranges (1-5), steps (0-6/2), lists (1,3,5).
Defaults to "
".

Was the article helpful?

Previous
ListByFolder
Next
Delete
© 2026 Direct Cursus Technology L.L.C.